Bug 462226 - The amanda client always tries to speak ipv6 even when talked to over ipv4
The amanda client always tries to speak ipv6 even when talked to over ipv4
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: amanda (Show other bugs)
10
x86_64 Linux
medium Severity urgent
: ---
: ---
Assigned To: Daniel Novotny
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-14 10:56 EDT by Leif Bergman
Modified: 2009-12-18 01:23 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:23:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leif Bergman 2008-09-14 10:56:24 EDT
Description of problem:
The amanda client always tries to speak ipv6 even when talked to over ipv4

Version-Release number of selected component (if applicable):
amanda-2.5.2p1-12

How reproducible:
Always

Steps to Reproduce:
1.Have a clientmachine in the disklist.
2.su amanda -c "/usr/sbin/amcheck -ct DailySet1" NB! The server is running an older version so the user isn't amandabackup
3.
  
Actual results:
Tape DailySet1-05 label ok
Server check took 9.203 seconds

Amanda Backup Client Hosts Check
--------------------------------
WARNING: client.example.com: selfcheck request failed: timeout waiting for ACK


Expected results:
A complete A-OK.....

Additional info:
more /var/log/amanda/amandad/amandad*.debug
-------Snip
amandad: time 0.001: dgram_recv(dgram=0x76a208, timeout=0, fromaddr=0x77a200)
amandad: time 0.001: (sockaddr_in6 *)0x77a200 = { 10, 854, ::ffff:192.168.100.2 
}
amandad: time 0.001: security_handleinit(handle=0x7f9a46a0c170, driver=0x766c40 
(BSD))
amandad: time 0.002: security_seterror(handle=0x7f9a46a0c170, driver=0x766c40 (B
SD) error=::ffff:192.168.100.2.854 doesn't resolve to client.example.com)
amandad: time 10.031: dgram_recv(dgram=0x76a208, timeout=0, fromaddr=0x77a200)
amandad: time 10.031: (sockaddr_in6 *)0x77a200 = { 10, 854, ::ffff:192.168.100.2
 }
Comment 1 Daniel Novotny 2008-09-17 10:16:27 EDT
thanks for the bug report

if you do not use IPV6 at all, I recommend to recompile Amanda with "--without-ipv6" configuration option as a temporary workaround before we find the solution
Comment 2 Patrick C. F. Ernzer 2008-09-18 05:13:00 EDT
can you try adding
  flags = IPv4
to /etc/xinetd.d/amanda on the client
(note, I am not the package maintainer, the above is just what I have in my config, stumbled across this bug when looking for SELinux bug on latest amanda-client)
Comment 3 Daniel Novotny 2008-10-20 07:42:17 EDT
hello, today I pushed a new amanda 2.6.0p2 into rawhide: does this problem still occur with the new version?
Comment 4 Leif Bergman 2008-10-31 11:55:58 EDT
Yes, it did. But now I have rebuilt with --with-out-ipv6 and reconfigured xinetds amanda file. libexec vs lib64
Comment 5 Bug Zapper 2008-11-25 22:05:02 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-11-18 02:50:40 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 01:23:37 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.